Skip to main content
GET
/
automation-runs
/
{id}
/
result
Get comprehensive workflow run result
curl --request GET \
  --url https://api.flipsidecrypto.xyz/public/v3/automation-runs/{id}/result \
  --header 'x-api-key: <api-key>'
{
  "workflowRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workflowName": "<string>",
  "workflowDescription": "<string>",
  "state": "<string>",
  "triggeredBy": "<string>",
  "startedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "durationMs": 123,
  "inputValues": {},
  "stepResults": [
    {
      "stepId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflowStepId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "stepName": "<string>",
      "stepType": "<string>",
      "state": "<string>",
      "durationMs": 123,
      "outputXml": "<string>",
      "reasoning": "<string>",
      "error": {}
    }
  ],
  "totalSteps": 123,
  "completedSteps": 123,
  "failedSteps": 123,
  "shortSummary": "<string>",
  "longSummary": "<string>",
  "chatUrl": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Query Parameters

includeStepOutputs
boolean | null
default:true
includeAtoms
boolean | null
default:true

Response

Comprehensive workflow run result

workflowRunId
string<uuid>
required

ID of the workflow run

workflowId
string<uuid>
required

ID of the workflow definition

workflowName
string
required

Name of the workflow

workflowDescription
string | null
required

Description of the workflow

state
string
required

Run state (pending, running, completed, failed, cancelled)

triggeredBy
string
required

How the run was triggered (manual, schedule, api)

startedAt
string<date-time> | null
required

When the run started

completedAt
string<date-time> | null
required

When the run completed

durationMs
number | null
required

Total run duration in milliseconds

inputValues
object
required

Input values provided for this run

stepResults
object[]
required

Results for each step in the workflow

totalSteps
number
required

Total number of steps in the workflow

completedSteps
number
required

Number of steps that completed successfully

failedSteps
number
required

Number of steps that failed

shortSummary
string | null
required

One-line summary of what the workflow produced

longSummary
string | null
required

Detailed summary with key findings and results

chatUrl
string | null
required

URL to chat about this workflow run